Phone Dialer overview

Phone Dialer allows you to make voice calls, video calls, and conference video calls from your personal computer.

To make a voice call, all you need is the recipient's phone number, IP address, or DNS (Domain Name System) name. Phone Dialer lets you make calls with a telephone connected to your computer, through a modem, over a network, through a telephone switch connected to your local area network (LAN), or an Internet address.

In order to communicate using Phone Dialer, you will need a sound card and microphone. A camera for video calls is optional.

You can still participate in a video conference without a camera. In this case, you can view the participants that have cameras, but you will only be heard. If you have speakers but do not have a microphone, you can view and hear a conference, but you cannot participate.

With Phone Dialer, you can also test the setup of your computer-telephony hardware, such as a voice modem or a phone switch connected to your LAN, by dialing the number and seeing if the number lets you connect.

To receive calls, you must have Phone Dialer running. When you make or receive a call, a dialog box appears in the upper-left corner of your screen. If the person you are talking to has a video camera installed, the dialog box shows a video image of the person.

The active call window also contains buttons that let you place the call on hold and access a keypad to manually dial numbers.

Related Topics


Common tasks: Phone Dialer

Common tasks

The following tasks are frequently used to place calls, join conference calls, and configure Phone Dialer. Click the Index or Search tab to search for a specific word or phrase.

Place a call using Phone Dialer.

Step-by-step procedure

Add a phone number to speed dial

Add a frequently dialed number to speed dial.

Step-by-step procedure

Join a conference call

Join a video conference.

Step-by-step procedure

Connect to an Internet directory

Link your computer to a server on the Internet or to your company's server.

Step-by-step procedure

Add users to your network directory

Make it easy to dial people without having to search the domain server each time.

Step-by-step procedure


Place a call

To place a call

  1. Click the Phone menu, and then click Dial.
  2. Type the phone number, IP address, or DNS (Domain Name System) name, or click one you have already dialed.
  3. In Dial As, do one of the following:
    • Click Phone Call to place a call over a telephone line.
    • Click Internet Call to place a call using an Internet connection.
  4. Click Place Call. The active call window appears.

Notes

  • You must be logged on to a domain to access a DNS server.
  • If you dial the same number frequently, you can store it in your speed-dial list. To add a number to your speed-dial list, click Edit, click Add To Speed Dial List, and then enter the information.
  • You can also set up frequently dialed numbers under a directory list to quickly contact someone on your network. A user may be contacted in many different ways: with an e-mail address, using an Internet account name, or a using business phone number, for example. By setting up a directory list, you can specify the way you wish to contact that person. See Related Topics for more information.
  • If the call is disconnected or the person doesn't answer, you can select Redial from the toolbar to redial the last number dialed.
  • You can hide the dialog box by clicking the Hide icon ( hide icon) or by clicking Hide on the toolbar. To display the dialog box again, hold your mouse over the place on the edge of your screen where you hid it and it will automatically reappear, or click Show on the toolbar.


Place a call on hold

To place a call on hold

  • In the active call window, click Hold.

Note

  • Hold will only be visible if this feature is supported.


Dial a speed-dial number

To dial a speed-dial number

  • Under Directories, click Speed Dial, and then double-click the name of the person you want to call.


Answer or reject an incoming call

To answer or reject an incoming call

  • In the active call window, click Take Call or Reject Call.

Notes

  • Clicking Take Call allows you to communicate with the caller. If you take a call, you will need a microphone and sound card in order to communicate with the caller.
  • Clicking Reject Call disconnects the caller.


Connect to an Internet directory

To connect to an Internet directory

  1. Click the Edit menu, and then click Add Directory.
  2. In the Add Directory Server dialog box, type the name of the server, and then click Add.

Notes

  • An Internet directory links your computer to a server on the Internet. For example, you can set up a directory to link to an external company's server and have access to all users in that database.
  • The Directory Name list shows any server published on your network as set up by the network administrator. This same list of servers is displayed by default under My Network Directory.
  • To see a list of all the scheduled conference calls on the Internet directory, click the server name in the Directories pane on the left, and then double-click Conferences. The conferences are listed in the right pane.
  • To see the most recent list of all of the scheduled conference calls, click the View menu, and then click Refresh.


Add a user to your network directory

To add a user to your network directory

  1. Click My Network Directory.
  2. Click the Edit menu, and then click Add User.
  3. In the Add User dialog box, type the name or partial name of the person you are adding, and then click Search.
  4. Click the name of the user you want to add to your directory, and then click Add.

Notes

  • Adding people to your network directory allows you to easily dial those people without having to search the domain server each time.
  • The Search option searches the domain server that lists all people logged on to your network's directory. The user you are adding must exist in this directory in order to add it to your network directory.
  • Search is unavailable if you have not typed a name or partial name under User.


Modify telephone settings

To modify telephone settings

  1. Click the Edit menu, and then click Options.
  2. Click the Lines tab, and then click Phone and Modem Options.
  3. In the Phone & Modem Options dialog box, make the desired changes.

Note

  • In the Phone & Modem Options dialog box, you can make changes such as the dialing location when using a portable computer, the area code you are calling from, or the calling card you are using.


Modify sound settings

To modify sound settings

  1. Click the Edit menu, and then click Options.
  2. Click the Audio/Video tab, and then click Sound Settings.
  3. In the Sounds and Multimedia Properties dialog box, make the desired changes.

Note

  • In the Sounds and Multimedia Properties dialog box, on the Audio tab, you can choose a preferred audio device to use when making a call.


View a caller on video

To view a caller on video

  1. Click the Edit menu, and then click Options.
  2. Click the Audio/Video tab.
  3. Under Line, select the type of call you want to set options for.
  4. Make sure Video Playback is checked.
  5. Repeat step 3 and 4 for each type of call for which you want to view the caller.

Note

  • Uncheck Video Playback for each type of call for which you do not want to view the recipient.


Preview sound and video for a call

To preview sound and video for a call

  1. Click the Phone menu, and then click Dial.
  2. Type the phone number, IP address, or DNS (Domain Name System) name, or click one you have already dialed.
  3. In Dial As, do one of the following:
    • Click Phone Call to place a call over a telephone line.
    • Click Internet Call to place a call using an Internet connection.
  4. Click Place Call. The active call window appears.
  5. In the Preview pane, drag the sliders to the right or left to adjust the sound or video.

Notes

  • The Preview screen previews your computer's sound and video to ensure they are working properly.
  • If a video is not being viewed, it means that you do not have a camera or your camera is not working properly. Check Device Manager to see if your camera is installed properly.


Select a line to use when you have multiple lines

To select a line to use when you have multiple lines

  1. Click the Edit menu, and then click Options.
  2. Click the Lines tab, and then click any of the following:
    • To choose a specific phone line, click one in Phone Calls.
    • To choose a specific network connection, click one in Internet Calls.
    • To choose a specific Internet connection, click one in Internet Conferences.

Notes

  • The Options dialog box is used to specify the lines, video, or audio devices you want the call to use when it connects. For example, if you have two modems set up on your computer, you can select the one you want to use from those listed under Phone Calls.
  • Phone Dialer selects the line for you if you click <Auto-Select>.
  • The Preferred Line For Calling option tells Phone Dialer what number to use first if a contact has more than one line of connection, such as both an Internet address and a phone number.
  • You do not have to be connected to a local area network to make an Internet call. If you are on a network, you most likely have several connection options in Internet Calls. If you are not on a network, the only available option is the IP address provided by your Internet Service Provider.
  • You can change the audio and video devices that are used for each of these connections by clicking the Audio/Video tab. The default for all audio and video devices is <Use Preferred Device>. This preferred device is set by clicking Start, pointing to Settings, pointing to Control Panel, double-clicking Sounds and Multimedia, and then clicking the Audio tab.


Hide Phone Dialer

To hide Phone Dialer

  • Click the File menu, and then click Hide Phone Dialer Window.

Notes

  • Hiding the Phone Dialer window minimizes it to an icon in the status area of the taskbar. To view the Phone Dialer window again, double-click Phone Dialer icon or Phone Dialer icon, call in progress.
  • To hide Phone Dialer when it is minimized (so it does not appear on the taskbar), click View, and then click Hide When Minimized.
  • To hide the call window that appears when placing a call, click the arrow in the right corner of the active call window ( Hide icon) or click the Hide Calls button on the Phone Dialer toolbar. To view the call window again, click Show on the toolbar or place the mouse over the edge of the computer screen. In a few seconds, the active call window will appear again.


View the call log

To view the call log

  • Click the View menu, and then click Call Log.

Note

  • A separate window opens in Notepad to show you all incoming and outgoing calls and conferences for the last 30 days.


Video and voice conference calls

Phone Dialer supports video conferencing, voice conferencing, or a combination of both.

You can schedule your own conference call or join a conference call already in progress. By connecting to an Internet directory server, you can join conference calls on other companies' networks or on the Internet. To use Phone Dialer to talk with individuals, you do not need to connect to an Internet directory.

During a video conference call, you can see an image of each participant who has a video connection. You can still participate in a video conference call without a camera. In this case, you can view the participants that have cameras, but you will only be heard. If you have speakers but do not have a microphone, you can view and hear a conference, but you cannot participate

During the conferencing process, audio and video data must be compressed and decompressed. Phone Dialer uses the following codec compression and decompression protocols:

  • Video: H.261, H.263
  • Audio: G.711, GSM 6.10
By default, Phone Dialer creates a conference using the H.263 and G.711 codecs. Audio and video data is sent using the RTP/RTCP protocol. Phone Dialer interoperates with the MBone (IP Multicast) tool VIC (Video Conferencing). Phone Dialer interoperates with the MBone tool RAT (Robust Audio Tool), in conjunction with the G.711 codec.

If you are a user in an enterprise environment, and you want to use multicast conferencing, your system administrator needs to install IP multicast video conferencing on Windows 2000 Server. This ensures that Phone Dialer uses the correct IP multicast address. For more information, see Checklist: Installing IP multicast video conferencing. To support creating and joining multicast conferences, Phone Dialer needs the location of the Site Server ILS server on your network. For more information, see Using Phone Dialer for telephony.


Schedule a conference call

To schedule a conference call

  1. Click the Phone menu, and then click New Conference.
  2. In the Conference Properties dialog box, type a name for your conference call, for example, "Meeting with Team A."
  3. In Description type the description of you conference call, for example, "Documentation Review."
  4. Under Conference time set the beginning and ending times for your conference.

Notes

  • Scheduling a conference does not send a message to attendees to alert them of the meeting. It schedules a date and time, and the attendees can join at any time. You must inform the attendees of the conference in another way, such as by sending e-mail.
  • If you want your conference call encrypted for security reasons, select Encrypt conference.
  • To define the access that groups and users have to the conference, click the Permissions tab.
  • The person who schedules the conference has permission to join, modify, or delete a conference by default. All attendees have permission to join a conference by default.


Join a conference call

To join a conference call

  1. Under Directories, click the name of the server hosting the conference, and then click the Conferences folder.
  2. In the right pane of the Phone Dialer window, click the conference name.
  3. Click the Phone menu, and then click Join Conference. The Conference Room automatically displays.

Notes

  • Only the conferences that you have permission to join are displayed.
  • If more than one conference is about to start or has the same name as another conference, the Join Conference dialog box will appear for you to choose the conference you want to join.
  • To get more information about a conference, click the File menu, and then click Properties.
  • To leave a conference, click the Phone menu, and then click Leave Conference.


Troubleshooting Phone Dialer

What problem are you having?

No people or conferences under (My Network) in Phone Dialer

You need to link your computer to a server on the Internet or on your local area network.

Phone Dialer queries the domain server for a list of published ILS servers. My Network takes the name of the first published ILS server. If you don't see any items listed in the People folder or the Conferences folder under My Network, the directory's status should be displayed. If a red X is displayed over the My Network icon, the server query failed. The cause is most likely one of the following:

  • You are not logged on to a valid domain account and cannot access the domain server for information about the published ILS servers. In this case, you need to add the name of the directory server to the list of Internet Directories in Phone Dialer. See the step-by-step procedure listed below.
  • The published name is not valid or the server is not working at the time of the query.
  • Your network connection is not valid or has temporarily timed-out.
Step-by-step procedure

Sound does not function properly

Two programs cannot simultaneously share an audio recording device on Phone Dialer. For example, you cannot be using the microphone to talk on the telephone and simultaneously record your voice using Sound Recorder.

In the event that you have more than one sound card in the computer, you may be able to specify separate devices for each program. To do this, click Edit, click Options, click the Audio/Video tab, and then set the devices in Audio Record and Audio Playback.

You can also test to make sure your audio is working properly. If it is working correctly, then you may be using an older audio driver that is incompatible with Windows 2000.

To test the audio on your computer, either preview the sound for your call from Phone Dialer, or use Sound Recorder to check your microphone and speakers.

Step-by-step procedure

How to start Sound Recorder

For a comprehensive list of the devices supported by Windows operating systems, see the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/)b xite.

Video does not function properly

Two programs cannot simultaneously share the same video recording device on Phone Dialer.

To set the video recording device you want to use, click Edit, click Options, click Audio/Video tab, and then set the video device from Video Record.

Also, you can test to make sure your video is working properly. If it is working correctly, then you may be using an older video driver that is incompatible with Windows 2000.

To test the video on your computer, either preview the video for your call from Phone Dialer, or use a video capture program to check the video camera and its settings. You can also use NetMeeting to verify the video is working.

Step-by-step procedure

How to start NetMeeting

For a comprehensive list of the devices supported by Windows operating systems, see the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

Conferencing device is not recognized

Plug and Play should automatically recognize the device that you are using for video or voice conferencing. If you are using an older, non-Plug and Play device, you may need to manually add the device. For more information, see To install a device.

For a comprehensive list of the devices supported by Windows operating systems, see the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).


Manually type in extra numbers to place a call

To manually type in extra numbers to place a call

  1. Click the Phone menu, and then click Dial.
  2. Type the phone number, IP address, or DNS (Domain Name System) name, or click one you have already dialed.
  3. In Dial As, do one of the following:
    • Click Phone Call to place a call over a telephone line.
    • Click Internet Call to place a call using an Internet connection.
  4. Click Place Call.
  5. In the active window, click the keypad icon ( touchtone keypad) in the Phone Call pane.
  6. In Touchtone Keypad, click the desired numbers.

Notes

  • You must be logged on to a domain to access a DNS server.
  • Extra numbers are usually required for phone extensions or codes.


Add names to your speed-dial list

To add names to your speed-dial list

  1. Click the Edit menu, and then click Add to Speed Dial List.
  2. Under Display Name, type the name for this speed-dial entry.
  3. Under Number or Address, type the telephone number, IP address, or DNS (Domain Name System) name for the person you're adding.
  4. Under Dial As, do one of the following:
    • Click Phone Call to place the call over a telephone line.
    • Click Internet Call to place the call using a network connection.
    • Click Internet Conference to place the call using a specific internet connection.

Notes

  • To edit all of your stored numbers at once, click the Edit menu, click Speed Dial List, and then click Edit.
  • To add numbers to your speed dial list, right-click the name of the person in the Peoples folder, and then click Add to Speed Dial List.
  • You can also add a number to the speed-dial list as the number is dialing. In the active call window, click the Add to Speed Dial icon ( speed dial icon).